package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 常见问题实体
 * 表名 tb_cf_problem
 *
 * @author lipengjun
 * @date 2019-09-05 16:51:07
 */
public class TbCfProblemEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 问题id
     */
    private String problemId;
    /**
     * 问题明细
     */
    private String question;
    /**
     * 答案
     */
    private String answer;
    /**
     * 是否展示
     */
    private Integer enableFlag;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 设置：问题id
     */
    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    /**
     * 获取：问题id
     */
    public String getProblemId() {
        return problemId;
    }
    /**
     * 设置：问题明细
     */
    public void setQuestion(String question) {
        this.question = question;
    }

    /**
     * 获取：问题明细
     */
    public String getQuestion() {
        return question;
    }
    /**
     * 设置：答案
     */
    public void setAnswer(String answer) {
        this.answer = answer;
    }

    /**
     * 获取：答案
     */
    public String getAnswer() {
        return answer;
    }
    /**
     * 设置：是否展示
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否展示
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
